local timer
local calc = require("#monocle.calc")
function onBegin()

    wait(1)

end

function getXSpeed()
    return sign(-(puppet.Position.X - player.Position.X)) * 150
end

function getYSpeed()
    return sign((puppet.Position.X - player.Position.X + 16)) * 150
end

function sign(x)
    return (x<0 and -1) or 1
end  

function abs(x)
    return x * sign(x)
end